package de.avatic.lcc.model.bulk;

public enum NodeHeader implements HeaderProvider {
    MAPPING_ID("Mapping ID"), NAME("Name"), ADDRESS("Address"),
    COUNTRY("Country (ISO 3166-1)"), GEO_LATITUDE("Latitude"), GEO_LONGITUDE("Longitude"),
    IS_ORIGIN("Origin"), IS_INTERMEDIATE("Intermediate"), IS_DESTINATION("Destination"),
    OUTBOUND_COUNTRIES("Outbound countries (ISO 3166-1)"), PREDECESSOR_NODES("Predecessor Nodes (Mapping ID)"),
    IS_PREDECESSOR_MANDATORY("Predecessors mandatory");

    private final String header;

    NodeHeader(String header) {
        this.header = header;
    }

    public String getHeader() {
        return header;
    }
}
